Types.DestData (The Data transfer common objects 2.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.datatransfer.common.agent

## Class Types.DestData

- java.lang.Object
- - org.gcube.datatransfer.common.agent.Types.DestData

- Enclosing class:
    Types

      public static class Types.DestData
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `outSourceId`
    `Types.OutUriData` | `outUri`
    `String` | `scope`
    `Types.transferType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Types.DestData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getOutSourceId()`
    `Types.OutUriData` | `getOutUri()`
    `String` | `getScope()`
    `Types.transferType` | `getType()`
    `void` | `setOutSourceId(String outSourceId)`
    `void` | `setOutUri(Types.OutUriData outUri)`
    `void` | `setScope(String scope)`
    `void` | `setType(Types.transferType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public Types.transferType type

    - #### scope

          public String scope

    - #### outUri

          public Types.OutUriData outUri

    - #### outSourceId

          public String outSourceId

  - ### Constructor Detail

    - #### Types.DestData

          public Types.DestData()

  - ### Method Detail

    - #### getType

          public Types.transferType getType()

    - #### setType

          public void setType(Types.transferType type)

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### getOutUri

          public Types.OutUriData getOutUri()

    - #### setOutUri

          public void setOutUri(Types.OutUriData outUri)

    - #### getOutSourceId

          public String getOutSourceId()

    - #### setOutSourceId

          public void setOutSourceId(String outSourceId)

Copyright © 2015. All Rights Reserved.